Skip to content

Transfer Batch Query

API Information

  • Path: /api/v1/txn/queryList
  • Method: POST
  • Content-Type: application/json

Business Description

  • This is a prerequisite step before using the Payment Initiation API. You must first successfully add a payee before you can proceed with payment initiation.
  • After a payee is successfully added, a beneficiaryId (Payee ID) will be returned, which is required for subsequent payment initiation operations.
  • It is recommended to add commonly used payees in advance to avoid delays in payment process.

Request Parameters

Headers

Request Headers
ParameterValueRequiredDescription
Content-Typeapplication/jsonYesRequest body type

Request Body

Main Parameters

ParameterTypeDescriptionRequired
merchantNostringThe merchant number of the request initiator.M
onBehalfOfstringThe merchant number that the request is actually associated with. Provide this field only when initiating a request on behalf of another merchant.N
requestIdstring(32)Business Transaction IDC
payoutIdinteger(32)Payment Transaction IDC
payoutStatusstringPayment Status/Status enum valuesC
payoutStartTimestringPayment Time - StartC
payoutEndTimestringPayment Time - EndC
createTimeStartTimestringCreation Time - StartM
createTimeEndTimestringCreation Time - EndM
payoutMethodstringPayment MethodC
sizeintegerRecords per pageM
currentintegerCurrent page numberM
signstringSignatureM

Request Example

json
{
  "merchantNo": "801040",
  "requestId": "",
  "payoutId": "1954374604177408000",
  "payoutStatus": "",
  "payoutStartTime": "",
  "payoutEndTime": "",
  "createTimeStartTime": "",
  "createTimeEndTime": "",
  "payoutMethod": "",
  "size": "10",
  "current": "1",
  "sign": "d2ea92efff636320122021f65b613201403f6d34334cfbc7e589ce9f842988f2"
}

Response Result

Response Headers
ParameterValueRequiredDescription
content-typeapplication/json;charset=UTF-8YesResponse body type

Response Parameters

Response Fields

ParameterTypeDescription
respCodestringResponse Code
respMsgstringResponse Message
dataobjectResponse Data
  └─recordsarrayTransaction Record List
  └─totalintegerTotal Records
  └─sizeintegerPage Size
  └─currentintegerCurrent Page Number

Response Example

json
{
  "respCode": "20000",
  "respMsg": null,
  "data": {
    "respCode": "20000",
    "respMsg": "Success",
    "data": {
      "records": [
        {
          "payoutId": "1954374604177408000",
          "paymentMethod": "2",
          "payoutType": "BIZ",
          "settleCurrency": "USD",
          "settleSumAmount": 8.939382,
          "serviceFee": -2.089382,
          "otherFee": 0,
          "frozenAmount": 0,
          "settleAmount": 6.85,
          "payoutCurrency": "PKR",
          "payoutAmount": 1901,
          "convRate": 277.564623,
          "merchantNo": "801040",
          "payeeId": "1935281260680585216",
          "payeeName": "AFTAB BIBI",
          "payeeBankName": "MCB BANK LIMITED",
          "payeeBankAddress": null,
          "payeeAccount": "1204259361020658",
          "payeeAccountCountry": "PK",
          "payeeAccountName": "AFTAB BIBI",
          "payeeAccountSwiftCode": "MUCBPKKA",
          "payeeAccountLocalCode": null,
          "payeeCountry": "PK",
          "payeeAddress": null,
          "mobileNumber": "124325436463",
          "payoutStatus": "P",
          "payoutTips": null,
          "payoutRemark": null,
          "payoutTime": null,
          "distributeStatus": "P",
          "distributePs": "REFERENCE PAYPAL",
          "transactionPurpose": "4",
          "remark": null,
          "createTime": "2025-08-10 10:49:51",
          "updateTime": "2025-08-10 10:49:54",
          "payoutMethod": "BANK_TRANSFER",
          "firstName": "AFTAB",
          "lastName": "BIBI",
          "companyName": null,
          "requestId": "DM20250888804123",
          "payoutStatusReason": null,
          "payerDetail": {
            "id": "1954374605835165698",
            "merchantNo": "800149",
            "companyNameEn": null,
            "companyName": null,
            "country": "HK",
            "addressEn1": "Nanshan Science & Technology Park, Shenzhen",
            "addressEn2": "2",
            "addressEn3": "3",
            "registerNo": null,
            "registerDate": null,
            "postcode": "518057",
            "status": 0,
            "isDeleted": null,
            "creator": null,
            "updator": null,
            "createTime": "2025-08-08 14:59:13",
            "updateTime": null,
            "email": "1@qq.com",
            "areaCode": "+91",
            "phoneNumber": "9884783388",
            "state": "hubei",
            "city": "wuhan",
            "subEntityType": "1",
            "firstName": "zhang",
            "lastName": "san2",
            "idType": "0",
            "idNumber": "371328198410044019",
            "birthDate": "1984-10-04",
            "idValidDateFrom": "2016-08-04",
            "idValidDateTo": "2026-08-04",
            "payerId": "1953712585351499776",
            "payoutId": "1954374604177408000"
          }
        }
      ],
      "total": 1,
      "size": 10,
      "current": 1,
      "orders": [
        {
          "column": "create_time",
          "asc": false
        }
      ],
      "hitCount": false,
      "searchCount": true,
      "pages": 1
    }
  }
}

Pagination Description

  • size: Number of records displayed per page
  • current: Current page number
  • total: Total number of records